import Vue from "vue";
import VueRouter from "vue-router";

Vue.use(VueRouter);

const routes = [
  {
    path: "/",
    redirect: "/stritl",
    component: () => import("../components/Home.vue"),
    children: [
      {
        path: "/stritl",
        component: () => import("../views/homePage/index.vue"),
        name: "stritl",
        meta: {
          title: "首页",
          icon: "el-icon-s-home",
          keepAlive: true,
          noAuth: true,
        },
      },
      {
        path: "/realTimeMonitor",
        component: () => import("../views/realTimeMonitor/index.vue"),
        name: "realTimeMonitor",
        meta: {
          title: "实时监控",
          permission: true,
          icon: "el-icon-camera",
          keepAlive: true,
          requiresAuth: true,
        },
      },
      {
        path: "/pictureRotation",
        component: () => import("../views/pictureRotation/index.vue"),
        name: "pictureRotation",
        meta: {
          title: "图片轮巡",
          permission: true,
          icon: "el-icon-camera",
          keepAlive: true,
          requiresAuth: true,
        },
      },
      {
        path: "/realTimeSearch",

        component: () => import("../views/realTimeSearch/index.vue"),
        name: "realTimeSearch",
        meta: {
          title: "历史图片",
          permission: true,
          icon: "el-icon-camera",
          requiresAuth: true,
          //keepAlive: true,
        },
      },
      {
        path: "/photoAlarm",
        component: () => import("../views/alarmHandling/index.vue"),
        name: "alarmHandling",
        meta: {
          title: "告警处理",
          permission: true,
          icon: "el-icon-camera",
          keepAlive: true,
          requiresAuth: true,
        },
      },

      {
        path: "/userManagement",
        component: () => import("../views/system/user/userManagement.vue"),
        name: "userManagement",
        meta: {
          title: "用户管理",
          icon: "el-icon-monitor",
          keepAlive: true,
          requiresAuth: true,
        },
      },
      {
        path: "/roleManagement",
        component: () => import("../views/system/roleManagement/index.vue"),
        name: "roleManagement",
        meta: {
          title: "角色管理",
          icon: "el-icon-monitor",
          keepAlive: true,
          requiresAuth: true,
        },
      },
      {
        path: "/menuManagement",
        component: () => import("../views/system/menuManagement/index.vue"),
        name: "menuManagement",
        meta: {
          title: "菜单功能管理",
          icon: "el-icon-monitor",
          keepAlive: true,
          requiresAuth: true,
        },
      },

      {
        path: "/deviceUpgrade",
        component: () => import("../views/system/deviceUpgrade/index.vue"),
        name: "deviceUpgrade",
        meta: {
          title: "升级管理",
          icon: "el-icon-monitor",
          keepAlive: true,
          requiresAuth: true,
        },
      },
      {
        path: "/globalTools",
        component: () => import("../views/system/globalTools/index.vue"),
        name: "globalTools",
        meta: { title: "全局设置", keepAlive: true, requiresAuth: true },
      },
      {
        path: "/dyInformation",
        component: () => import("../views/dyInformation/index.vue"),
        name: "dyInformation",
        meta: {
          title: "电压信息管理",
          icon: "",
          keepAlive: true,
          requiresAuth: true,
        },
      },
      {
        path: "/lineInformation",
        component: () => import("../views/lineInformation/index.vue"),
        name: "lineInformation",
        meta: {
          title: "线路信息管理",
          icon: "",
          keepAlive: true,
          requiresAuth: true,
        },
      },
      {
        path: "/towerInformation",
        component: () => import("../views/towerInformation/index.vue"),
        name: "towerInformation",
        meta: {
          title: "杆塔信息管理",
          icon: "",
          keepAlive: true,
          requiresAuth: true,
        },
      },
      {
        path: "/cameraChannel",
        component: () => import("../views/cameraChannel/index.vue"),
        name: "cameraChannel",
        meta: {
          title: "通道管理",
          icon: "",
          keepAlive: true,
          requiresAuth: true,
        },
      },
      {
        path: "/photographicDevice",
        component: () => import("../views/photographicDevice/index.vue"),
        name: "photographicDevice",
        meta: {
          title: "拍照装置管理",
          icon: "",
          keepAlive: true,
          requiresAuth: true,
        },
      },
      {
        path: "/devicePhotoSchedule",
        component: () => import("../views/devicePhotoSchedule/index.vue"),
        name: "devicePhotoSchedule",
        meta: {
          title: "拍照时间表设置",
          icon: "",
          keepAlive: true,
          requiresAuth: true,
        },
      },
      {
        path: "/waterMark",
        component: () => import("../views/waterMark/index.vue"),
        name: "waterMark",
        meta: {
          title: "水印下发",
          icon: "",
          keepAlive: true,
          requiresAuth: true,
        },
      },
      {
        path: "/otherCommon",
        component: () => import("../views/otherCommon/index.vue"),
        name: "otherCommon",
        meta: {
          title: "批量命令",
          icon: "",
          keepAlive: true,
          requiresAuth: true,
        },
      },
      {
        path: "/reportData",
        component: () => import("../views/reportData/index.vue"),
        name: "reportData",
        meta: {
          title: "数据报表",
          icon: "",
          keepAlive: true,
          requiresAuth: true,
        },
      },
      // {
      //   path: "/photoTotal",
      //   component: () => import("../views/photoTotal/index.vue"),
      //   name: "photoTotal",
      //   meta: {
      //     title: "图片数据统计",
      //     icon: "",
      //     keepAlive: true,
      //     requiresAuth: true,
      //   },
      // },
      {
        path: "/aiwork",
        component: () => import("../views/system/drawPic.vue"),
        name: "aiwork",
        meta: {
          title: "ai绘图",
          icon: "",
          keepAlive: true,
          requiresAuth: true,
        },
      },
      {
        path: "/weatherIceConfig",
        component: () => import("../views/system/weatherIceConfig.vue"),
        name: "weatherIceConfig",
        meta: {
          title: "微气象覆冰转发",
          icon: "",
          keepAlive: true,
          requiresAuth: true,
        },
      },

      {
        path: "/echarts",
        component: () => import("../echartsDemo.vue"),
        name: "echartsDemo",
        meta: {
          title: "echarts图表",
          icon: "",
          keepAlive: true,
          requiresAuth: true,
        },
      },

      //气象检测
      {
        path: "/weather",
        component: () => import("../views/iceWeather/weather/index.vue"),
        name: "weather",
        meta: {
          title: "气象检测",
          keepAlive: true,
          requiresAuth: true,
        },
      },
      //覆冰
      {
        path: "/icing",
        component: () => import("../views/iceWeather/icing/index.vue"),
        name: "icing",
        meta: { title: "覆冰监测", keepAlive: true, requiresAuth: true },
      },
      //数据报表
      {
        path: "/statisticalReport",
        component: () => import("../views/statisticalReport/index.vue"),
        name: "statisticalReport",
        meta: {
          title: "统计报表",
          icon: "",
          keepAlive: true,
          requiresAuth: true,
        },
      },
    ],
  },
  {
    path: "/login",
    name: "login",
    component: () => import("../views/login/index.vue"),
    meta: { title: "登录", noAuth: true }, // 标记为免登录页面
  },
  {
    // 权限页面
    path: "/permission",
    component: () =>
      import(/* webpackChunkName: "permission" */ "../Permission.vue"),
    meta: { title: "权限测试" },
  },
];

const router = new VueRouter({
  mode: "hash",
  base: process.env.BASE_URL,
  routes,
});

export default router;
